<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Standard meta descriptors -->
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="Mobile-friendly Komputer Store - we sell PC's">
    <meta name="keywords" content="Komputer, PC, laptop">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <!-- Website title -->
    <title>Komputer Store</title>

    <!-- Initiating links, deferring JS until after HTML has loaded -->
    <link rel="stylesheet" href="style.css">
    <script defer src="index.js"></script>
</head>

<body>
    <!-- Header in brown area at top of page -->
    <div class="header">Komputer Store</div>

    <!-- Small space -->
    <br>
    
    <!-- Middle part of page (flex-contained): bank, work, and selection area -->
    <!-- Flex-wrapper for middle part -->
    <div class="flexContainer1">
        <!-- Bank area -->
        <div class="bank greyBox">
            <h1>Joe Banker</h1>
            <div id="balance">Balance</div>
            <div id="balanceAmount">200 Kr</div>
            <br>
            <div id="loan">Debt</div>
            <div id="loanBalance">0 Kr</div>
            <button id="getLoanButton">Get a loan</button>
        </div>

        <!-- Work area -->
        <div class="work greyBox">
            <h1>Work</h1>
            <div id="pay">Pay</div>
            <div id="payAmount">0 Kr</div>
            <button id='repayLoanButton'>Repay loan</button>
            <button id='bankButton'>Bank</button>
            <button id='workButton'>Work</button>
        </div>

        <!-- Selection area -->
        <div class="select greyBox">
            <h1>Laptops</h1>
            <select id="computers"></select>
            <h4>Features:</h4>
            <div class="featureListContainer">
                <ul id="featureList"></ul>
            </div>
        </div>
    </div>

    <!-- Small space -->
    <br>

    <!-- Bottom part of page (flex-contained): PC image, brief description, buy area -->
    <!-- Flex-wrapper for bottom part -->
    <div class="flexContainer2 greyBox">

        <!-- Computer image container -->
        <img id="computerImage" src="" alt="Image of computer" class="flexImg">
        
        <!-- Description and title text container -->
        <div id="titleAndDescription" class="flexDescript">
            <h2 id="computerName"></h2>
            <p id="description"></p>
        </div> 
        
        <!-- Buy button container -->
        <div class="flexBuy">
            <h2 id="price"></h2>
            <button id="buyButton">BUY NOW</button>
        </div>
    </div>
</body>
</html>